使用iit的fourier服务器，需要以下两个前置：
- iit vpn（用来访问iit内网）
- 一个ssh客户端，用来连接fourier服务器

# IIT vpn

## 下载客户端
首先在浏览器中打开<https://vpn.iit.edu>,界面如下：
<br>
![img](img/vpn_login_page.JPG)
<br>
此处需要进行登录,我们输入自己的用户名和密码即可，如下图：
<br>
![img](img/vpn_login_info.png)
<br>
账号密码输入正确，就会到下面的页面：
<br>
![img](img/vpn_login_verification.JPG)
<br>
这里是登录iit的验证方法选择，如果平时登录iit用的是短信验证，就输入SMS前面对应的数字，如果用的是其他的验证方法，就输入对应方法前面的数字。（比如我这里是用问题验证，就在response里输入1）
<br>
<br>
接下来，需要输入自己的回复（比如我这里就显示了我自己设定的问题，我就在response里面输入问题的答案），如果是短信验证的话，这时手机上很快会受到验证码短信，在response处输入验证码，点击continue继续：
<br>
![img](img/vpn_login_verification_2.JPG)
<br>
最后，来到下载页，等待加载完成后选择下载并安装：
<br>
![img](img/vpn_download_page.JPG)
<br>

## 客户端的使用
安装完成后，我们在开始菜单里面找到客户端（应该是叫Cisco AnyConnect Secure Mobility Client）并打开。右下角会弹出窗口：
<br>
![img](img/vpn_client.JPG)
<br>
输入vpn.iit.edu后点connect，需要登录，登陆方法和上面下载步骤一样：
<br>
![img](img/vpn_client_login.JPG)
<br>
登录成功后就会连接，连接后窗口会隐藏，可以在状态栏中单击客户端图标打开窗口：
<br>
![img](img/vpn_client_tray.JPG)
<br>
当我们不需要使用iit内网时，点击disconnect即可断开：
<br>
![img](img/vpn_client_disconnect.JPG)
<br>
<br>

# IIT fourier连接
## ssh客户端
ssh客户端用来远程连接到linux,通过命令行方法在linux主机上执行操作，老师推荐使用免费软件[putty](https://www.putty.org/)，使用教程：[PuTTY 使用note & SSH远程登陆Linux服务器](https://zhuanlan.zhihu.com/p/579476027).
<br>
在这里，我使用的是termius，它的ui和设计逻辑较好，这里是一个免费的版本：<https://pan.baidu.com/s/162yvzy1fhOsSjl67ubR10w?pwd=ci8h>，可以不登录直接使用ssh和sftp（访问linux服务器的文件）。以下连接过程使用termius客户端完成。

## termius连接fourier服务器
打开软件后先注册账号，然后进入主界面。这种情况选择starter：
<br>
![img](img/termius_starter.JPG)
<br>
进主界面，点击new hosts，按下图填写信息：
<br>
![img](img/termius_info_filling.JPG)
<br>
其中老师给的用户名和密码在自己的iit邮箱里面可以找到：
<br>
![img](img/user_credential.jpg)
<br>
在确保已连接iit内网（vpn）的情况下，双击设置好的主机，就可以连接了。
<br>
第一次连接会要求重设密码，密码更改后会断开连接，然后在这里将密码改成自己刚刚设置的新密码：
<br>
![img](img/termius_change_password.jpg)
<br>
重新双击主机，就可以开始使用了！
<br>

## 问题解决方案
> 9.22 已连接iit内网的情况下,ssh连接出现错误（reset，end of file等）：
>> 1.重装iit vpn。2.在网络适配器中先禁用cisco anyconnect适配器再重新连接vpn。3.查看网络适配器中是否有其他的虚拟网卡等（如加速器），有的话尝试先右键禁用。
